package com.dcit.danger.dao;

import com.dcit.danger.model.SafetyDeviceInfo;
import com.dcit.danger.model.SafetyDeviceInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SafetyDeviceInfoMapper {
    long countByExample(SafetyDeviceInfoExample example);

    int deleteByExample(SafetyDeviceInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(SafetyDeviceInfo record);

    int insertSelective(SafetyDeviceInfo record);

    List<SafetyDeviceInfo> selectByExample(SafetyDeviceInfoExample example);

    SafetyDeviceInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") SafetyDeviceInfo record, @Param("example") SafetyDeviceInfoExample example);

    int updateByExample(@Param("record") SafetyDeviceInfo record, @Param("example") SafetyDeviceInfoExample example);

    int updateByPrimaryKeySelective(SafetyDeviceInfo record);

    int updateByPrimaryKey(SafetyDeviceInfo record);
}